ReconfigurationProtocolTranslatorPB (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocolPB, class: ReconfigurationProtocolTranslatorPB

Package org.apache.hadoop.hdfs.protocolPB

# Class ReconfigurationProtocolTranslatorPB

java.lang.Object
org.apache.hadoop.hdfs.protocolPB.ReconfigurationProtocolTranslatorPB

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `ReconfigurationProtocol`, `org.apache.hadoop.ipc.ProtocolMetaInterface`, `org.apache.hadoop.ipc.ProtocolTranslator`

@Private @Stable public class ReconfigurationProtocolTranslatorPB extends Object implements org.apache.hadoop.ipc.ProtocolMetaInterface, ReconfigurationProtocol, org.apache.hadoop.ipc.ProtocolTranslator, Closeable
This class is the client side translator to translate the requests made on `ReconfigurationProtocol` interfaces to the RPC server implementing `ReconfigurationProtocolPB`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.slf4j.Logger`
  `LOG`

  ### Fields inherited from interface org.apache.hadoop.hdfs.protocol.ReconfigurationProtocol

  `VERSIONID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReconfigurationProtocolTranslatorPB(InetSocketAddress addr, org.apache.hadoop.security.UserGroupInformation ticket, org.apache.hadoop.conf.Configuration conf, SocketFactory factory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `org.apache.hadoop.conf.ReconfigurationTaskStatus`
  `getReconfigurationStatus()`
  Get the status of the previously issued reconfig task.
  `Object`
  `getUnderlyingProxyObject()`
  `boolean`
  `isMethodSupported(String methodName)`
  `List<String>`
  `listReconfigurableProperties()`
  Get a list of allowed properties for reconfiguration.
  `void`
  `startReconfiguration()`
  Asynchronously reload configuration on disk and apply changes.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG

    public static final org.slf4j.Logger LOG

- ## Constructor Details

  - ### ReconfigurationProtocolTranslatorPB

    public ReconfigurationProtocolTranslatorPB(InetSocketAddress addr, org.apache.hadoop.security.UserGroupInformation ticket, org.apache.hadoop.conf.Configuration conf, SocketFactory factory) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Throws:
      `IOException`

  - ### getUnderlyingProxyObject

    public Object getUnderlyingProxyObject()
    Specified by:
      `getUnderlyingProxyObject` in interface `org.apache.hadoop.ipc.ProtocolTranslator`

  - ### startReconfiguration

    public void startReconfiguration() throws IOException
    Description copied from interface: `ReconfigurationProtocol`
    Asynchronously reload configuration on disk and apply changes.
    Specified by:
      `startReconfiguration` in interface `ReconfigurationProtocol`
    Throws:
      `IOException`

  - ### getReconfigurationStatus

    public org.apache.hadoop.conf.ReconfigurationTaskStatus getReconfigurationStatus() throws IOException
    Description copied from interface: `ReconfigurationProtocol`
    Get the status of the previously issued reconfig task.
    Specified by:
      `getReconfigurationStatus` in interface `ReconfigurationProtocol`
    Throws:
      `IOException`
    See Also:
      - `ReconfigurationTaskStatus`

  - ### listReconfigurableProperties

    public List<String> listReconfigurableProperties() throws IOException
    Description copied from interface: `ReconfigurationProtocol`
    Get a list of allowed properties for reconfiguration.
    Specified by:
      `listReconfigurableProperties` in interface `ReconfigurationProtocol`
    Throws:
      `IOException`

  - ### isMethodSupported

    public boolean isMethodSupported(String methodName) throws IOException
    Specified by:
      `isMethodSupported` in interface `org.apache.hadoop.ipc.ProtocolMetaInterface`
    Throws:
      `IOException`